version: "2"
services:
  nas-tools:
    image: shmilyin/nas-tools:latest
    ports:
      - 3000:3000        # 默认的webui控制端口
    volumes:
      - /volume2/OWDownload/config:/config   # 冒号左边请修改为你想保存配置的路径
      - /volume2/OWDownload/movie:/media/video/movie   # 媒体目录，多个目录需要分别映射进来，需要满足配置文件说明中的要求
      - /volume2/OWDownload/tv:/media/video/tv
      - /volume2/OWDownload/comic:/media/video/comic
    environment:
      - PUID=0    # 想切换为哪个用户来运行程序，该用户的uid
      - PGID=0    # 想切换为哪个用户来运行程序，该用户的gid
      - UMASK=022 # 掩码权限，默认000，可以考虑设置为022
      - NASTOOL_AUTO_UPDATE=false  # 如需在启动容器时自动升级程程序请设置为true
      - NASTOOL_CN_UPDATE=false # 如果开启了容器启动自动升级程序，并且网络不太友好时，可以设置为true，会使用国内源进行软件更新
      - REPO_URL=https://ghproxy.com/https://github.com/NAStool/nas-tools.git  # 当你访问github网络很差时，可以考虑解释本行注释
    restart: always
    network_mode: bridge
    hostname: nas-tools
    container_name: nas-tools